<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::middleware('ensureNoValidSession')->group(function(){
    Route::get('/pro/request-sms-login-token', 'AppSessionController@proRequestSmsLogInToken')->name('pro-request-sms-login-token');
    Route::get('/pro/login', 'AppSessionController@proLogIn')->name('pro-login');
    Route::post('/pro/login', 'AppSessionController@processProLogIn')->name('process-pro-login');
});

Route::middleware('ensureValidSession')->group(function(){
    Route::get('/pro/dashboard', 'ProController@dashboard')->name('pro-dashboard');
    Route::get('/pro/logout', 'AppSessionController@processProLogOut')->name('pro-logout');
});
